<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:01
         compiled from cblocks/list_js.html */ ?>
<?php echo '
<script type="text/javascript">
function SaveSideBlocksPositions() {
	var left_column = \'\';
	$(\'.cblocks-left-column\').each(function(){
		left_column += $(this).sortable(\'toArray\').toString() + \',\';
	});
	
	var right_column = \'\';
	$(\'.cblocks-right-column\').each(function(){
		right_column += $(this).sortable(\'toArray\').toString() + \',\';
	});
	
	$.getJSON(BASE_URL + \'admin/modules/cblocks/cblocks_js.php\',
		{act: \'save_pos\',
		left_column: left_column,
		right_column: right_column},
		function(obj) {
			ProcessMsgs(obj.msg, obj.err);
		}
	);
}

function SaveCenterBlocksPositions() {
	var center_column = \'\';
	$(\'.cblocks-center-column\').each(function(){
		center_column += $(this).sortable(\'toArray\').toString() + \',\';
	});
	
	$.getJSON(BASE_URL + \'admin/modules/cblocks/cblocks_js.php\',
		{act: \'save_pos\',
		center_column: center_column},
		function(obj) {
			ProcessMsgs(obj.msg, obj.err);
		}
	);
}

function SaveShowInHomepage(block_id, show) {
	$.getJSON(BASE_URL + \'admin/modules/cblocks/cblocks_js.php\',
		{act: \'save_pages\',
		block_id: block_id,
		homepage: 1,
		show: show ? 1 : 0},
		function(obj) {
			ProcessMsgs(obj.msg, obj.err);
		}
	);
}

function SaveShowNotInHomepage(block_id, show) {
	$.getJSON(BASE_URL + \'admin/modules/cblocks/cblocks_js.php\',
		{act: \'save_pages\',
		block_id: block_id,
		homepage: 0,
		show: show ? 1 : 0},
		function(obj) {
			ProcessMsgs(obj.msg, obj.err);
		}
	);
}

$(function(){
	var before_right_column_size = 0;
	var before_left_column_size  = 0;
	
	$(\'.cblocks-left-column\').sortable({
		connectWith: \'.cblocks-right-column\',
		handle: \'\',
		cursor: \'move\',
		placeholder: \'placeholder\',
		forcePlaceholderSize: true,
		opacity: 0.4,
		start: function(event, ui){
			$(\'.cblocks-left-column\').each(function(){
				before_left_column_size = $(this).sortable(\'toArray\').length - 1;
			});
			$(\'.cblocks-right-column\').each(function(){
				before_right_column_size = $(this).sortable(\'toArray\').length - 1;
			});
		},
		update: function(event, ui){
			ui.item.css({\'top\': \'0\', \'left\': \'0\'}); //Opera fix
			
			$(\'.cblocks-left-column\').each(function(){
				after_left_column_size = $(this).sortable(\'toArray\').length;
			});
			
			$(\'.cblocks-right-column\').each(function(){
				after_right_column_size = $(this).sortable(\'toArray\').length;
			});
			
			if (after_right_column_size <= 0) {
				$(\'.cblocks-right-column\').html(\'<div>&nbsp;</div>\');
			}
			
			if (ui.sender) {
				if (ui.item.is(\'.cblocks-fixed\')) {
					$(ui.sender).sortable(\'cancel\');
					ProcessMsgs(\'\', $.base64Encode(\''; ?>
<?php echo $this->_tpl_vars['LABEL']['err_block_column_fixed']; ?>
<?php echo '\'));
				} else {
					SaveSideBlocksPositions();
				}
			} else if (before_left_column_size == after_left_column_size) {
				SaveSideBlocksPositions();
			}
		}
	}).disableSelection();
	
	$(\'.cblocks-center-column\').sortable({
		handle: \'\',
		cursor: \'move\',
		placeholder: \'placeholder\',
		forcePlaceholderSize: true,
		opacity: 0.4,
		stop: function(event, ui){
			ui.item.css({\'top\': \'0\', \'left\': \'0\'}); //Opera fix
			SaveCenterBlocksPositions();
		}
	}).disableSelection();
	
	$(\'.cblocks-right-column\').sortable({
		connectWith: \'.cblocks-left-column\',
		handle: \'\',
		cursor: \'move\',
		placeholder: \'placeholder\',
		forcePlaceholderSize: true,
		opacity: 0.4,
		start: function(event, ui){
			$(\'.cblocks-left-column\').each(function(){
				before_left_column_size = $(this).sortable(\'toArray\').length - 1;
			});
			$(\'.cblocks-right-column\').each(function(){
				before_right_column_size = $(this).sortable(\'toArray\').length - 1;
			});
		},
		update: function(event, ui){
			ui.item.css({\'top\': \'0\', \'left\': \'0\'}); //Opera fix
			
			$(\'.cblocks-left-column\').each(function(){
				after_left_column_size = $(this).sortable(\'toArray\').length;
			});
			
			$(\'.cblocks-right-column\').each(function(){
				after_right_column_size = $(this).sortable(\'toArray\').length;
			});
			
			if (after_left_column_size <= 0) {
				$(\'.cblocks-left-column\').html(\'<div>&nbsp;</div>\');
			}
			
			if (ui.sender) {
				if (ui.item.is(\'.cblocks-fixed\')) {
					$(ui.sender).sortable(\'cancel\');
					ProcessMsgs(\'\', $.base64Encode(\''; ?>
<?php echo $this->_tpl_vars['LABEL']['err_block_column_fixed']; ?>
<?php echo '\'));
				} else {
					SaveSideBlocksPositions();
				}
			} else if (before_right_column_size == after_right_column_size) {
				SaveSideBlocksPositions();
			}
		}
	}).disableSelection();
});
</script>
'; ?>