<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:03
         compiled from products/product_options/product_options_js.html */ ?>
<?php echo '
<script type="text/javascript">
function ProdOptionsLoad(prod_id, by_user) {
	if (by_user) {
		by_user = TAB_CLICKED_BY_HAND;
	}
	if (by_user) {
		by_user = 1;
	} else {
		by_user = 0;
	}
	
	if ($(\'#sv-prod-options\').html() == \'\') {
		ShowLoading(\'sv-prod-options\', \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_please_wait']; ?>
<?php echo '\');
	} else {
		$(\'#sv-prod-options\').fadeTo(0, 0.5);
	}
	
	$(\'#sv-prod-options\').load(
		BASE_URL + \'admin/modules/products/product_options.php\',
		{act: \'list\', prod_id: prod_id, by_user: by_user},
		function() {
			$(\'#sv-prod-options\').fadeTo(0, 1);
			$(this).applyTemplateSetup();
		}
	);
	
	return false;
}

function ProdOptionVarsLoad(prod_id, option_id) {
	if ($(\'#sv-prod-options\').html() == \'\') {
		ShowLoading(\'sv-prod-options\', \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_please_wait']; ?>
<?php echo '\');
	} else {
		$(\'#sv-prod-options\').fadeTo(0, 0.5);
	}
	
	$(\'#sv-prod-options\').load(
		BASE_URL + \'admin/modules/products/product_options.php\',
		{act: \'list_vars\', prod_id: prod_id, option_id: option_id},
		function() {
			$(\'#sv-prod-options\').fadeTo(0, 1);
			$(this).applyTemplateSetup();
		}
	);
	
	return false;
}

function ProdOptionsExceptionsLoad(prod_id) {
	if ($(\'#sv-prod-options\').html() == \'\') {
		ShowLoading(\'sv-prod-options\', \''; ?>
<?php echo $this->_tpl_vars['LABEL']['lbl_please_wait']; ?>
<?php echo '\');
	} else {
		$(\'#sv-prod-options\').fadeTo(0, 0.5);
	}
	
	$(\'#sv-prod-options\').load(
		BASE_URL + \'admin/modules/products/product_options.php\',
		{act: \'list_exceptions\', prod_id: prod_id},
		function() {
			$(\'#sv-prod-options\').fadeTo(0, 1);
			$(this).applyTemplateSetup();
		}
	);
	
	return false;
}

function ProdOptionAdd(prod_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=add&prod_id=\' + prod_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionsLoad(prod_id, false);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: true
	};
	
	$(\'#sv-add-option-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionVarAdd(prod_id, option_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=add_var&prod_id=\' + prod_id + \'&option_id=\' + option_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionVarsLoad(prod_id, option_id);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: true
	};
	
	$(\'#sv-add-var-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionExceptionAdd(prod_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=add_exception&prod_id=\' + prod_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionsExceptionsLoad(prod_id);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: true
	};
	
	$(\'#sv-add-exc-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionsSaveChanges(prod_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=save_changes&prod_id=\' + prod_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionsLoad(prod_id, false);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: false
	};
	
	$(\'#sv-opts-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionVarsSaveChanges(prod_id, option_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=save_vars_changes&prod_id=\' + prod_id + "&option_id=" + option_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionVarsLoad(prod_id, option_id);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: false
	};
	
	$(\'#sv-vars-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionsDeleteExceptions(prod_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=del_exceptions&prod_id=\' + prod_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionsExceptionsLoad(prod_id);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: true
	};
	
	$(\'#sv-exc-form\').ajaxSubmit(options);
	
	return false;
}

function ProdOptionsSaveDefComb(prod_id) {
	var options = {
		url: BASE_URL + \'admin/modules/products/product_options.php?act=save_def_comb&prod_id=\' + prod_id,
		dataType: \'json\',
		success: function(obj) {
			ProdOptionsExceptionsLoad(prod_id);
			ProcessMsgs(obj.msg, obj.err);
		},
		resetForm: true
	};
	
	$(\'#sv-save-def-comb-form\').ajaxSubmit(options);
	
	return false;
}
</script>
'; ?>