$j(function() {
	var scrollable_size = 4;
	var slide_item_count = $j("#scrollable .slide-item").length;
	
	$j("#slide").show();
	$j('.slide-prev').css('opacity', 0.5).css('cursor', 'default');
	
	if (slide_item_count <= scrollable_size) {
		for (var i = 0; i < scrollable_size - slide_item_count; i++) {
			$j("#scrollable .slide-items").append('<div class="slide-item"></div>');
		}
		$j('.slide-next').css('opacity', 0.5).css('cursor', 'default');
	}
	
	$j("#scrollable").scrollable({
		horizontal:true,
		size:scrollable_size,
		prev:'.slide-prev',
		next:'.slide-next',
		items:'.slide-items',
		onSeek: function() {
			if (this.index >= this.length - this.size) {
				$j('.slide-next').css('opacity', 0.5).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$j('.slide-prev').css('opacity', 1).css('cursor', 'pointer');
				}
			} else if (this.index == 0) {
				$j('.slide-prev').css('opacity', 0.5).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$j('.slide-next').css('opacity', 1).css('cursor', 'pointer');
				}
			} else {
				$j('.slide-prev, .slide-next').css('opacity', 1).css('cursor', 'pointer');
			}
		}
	});
});